Eclipse Platform Release 3.7

## org.eclipse.search.core.text
Class TextSearchEngine

    java.lang.Object
      org.eclipse.search.core.text.TextSearchEngine

    public abstract class TextSearchEngine

extends Object

A `TextSearchEngine` searches the content of a workspace file resources for matches to a given search pattern.

`create()` gives access to an instance of the search engine. By default this is the default text search engine (see `createDefault()`) but extensions can offer more sophisticated search engine implementations.

Since:
  3.2

Constructor Summary
`TextSearchEngine()`

Method Summary
`static TextSearchEngine` `create()` Creates an instance of the search engine.
`static TextSearchEngine` `createDefault()` Creates the default, built-in, text search engine that implements a brute-force search, not using any search index.
`abstract IStatus` `search(IFile[] scope, TextSearchRequestor requestor, Pattern searchPattern, IProgressMonitor monitor)` Uses a given search pattern to find matches in the content of workspace file resources.
`abstract IStatus` `search(TextSearchScope scope, TextSearchRequestor requestor, Pattern searchPattern, IProgressMonitor monitor)` Uses a given search pattern to find matches in the content of workspace file resources.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextSearchEngine

    public TextSearchEngine()

Method Detail

### create

    public static TextSearchEngine create()

  Creates an instance of the search engine. By default this is the default text search engine (see `createDefault()`), but extensions can offer more sophisticated search engine implementations.

  Returns:
    the created `TextSearchEngine`.

### createDefault

    public static TextSearchEngine createDefault()

  Creates the default, built-in, text search engine that implements a brute-force search, not using any search index. Note that clients should always use the search engine provided by `create()`.

  Returns:
    an instance of the default text search engine `TextSearchEngine`.

### search

    public abstract IStatus search(TextSearchScope scope,
                                   TextSearchRequestor requestor,
                                   Pattern searchPattern,
                                   IProgressMonitor monitor)

  Uses a given search pattern to find matches in the content of workspace file resources. If a file is open in an editor, the editor buffer is searched.

  Parameters:
    `requestor` - the search requestor that gets the search results
    `scope` - the scope defining the resources to search in
    `searchPattern` - The search pattern used to find matches in the file contents.
    `monitor` - the progress monitor to use
  Returns:
    the status containing information about problems in resources searched.

### search

    public abstract IStatus search(IFile[] scope,
                                   TextSearchRequestor requestor,
                                   Pattern searchPattern,
                                   IProgressMonitor monitor)

  Uses a given search pattern to find matches in the content of workspace file resources. If a file is open in an editor, the editor buffer is searched.

  Parameters:
    `requestor` - the search requestor that gets the search results
    `scope` - the files to search in
    `searchPattern` - The search pattern used to find matches in the file contents.
    `monitor` - the progress monitor to use
  Returns:
    the status containing information about problems in resources searched.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.